## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationOpenidModeNotSupportedException

### Authentication::ezcAuthenticationOpenidModeNotSupportedException

### Class ezcAuthenticationOpenidModeNotSupportedException

Thrown when trying OpenID authentication with a mode which is not supported.

Source for this file: /Authentication/src/exceptions/openid_mode_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcAuthenticationException
             |
             --ezcAuthenticationOpenidException
                |
                --ezcAuthenticationOpenidModeNotSupportedException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcAuthenticationOpenidModeNotSupportedException | `__construct( $mode )` Constructs a new ezcAuthenticationOpenidModeNotSupportedException with OpenID mode $mode.

### Inherited Methods

From ezcAuthenticationOpenidException
public ezcAuthenticationOpenidException | `ezcAuthenticationOpenidException::__construct()` Constructs a new ezcAuthenticationOpenidException with error message $message.
From ezcAuthenticationException
public ezcAuthenticationException | `ezcAuthenticationException::__construct()` Constructs a new ezcAuthenticationException with error message $message.
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcAuthenticationOpenidModeNotSupportedException __construct( string $mode )

Constructs a new ezcAuthenticationOpenidModeNotSupportedException with OpenID mode $mode.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$mode` | string | OpenID mode which is not supported

##### Redefinition of:

Method | Description
--- | ---
`ezcAuthenticationOpenidException::__construct()` | Constructs a new ezcAuthenticationOpenidException with error message $message.

Documentation generated by phpDocumentor 1.4.3